//Source file: D:\\projects\\crosgrid\\project\\src\\main\\interface\\dsrg\\monit\\managable\\ChainedRuntimeException.java

/**
 * Hospital Service System (HSS)
 *
 * Copyright (c) 2001/2002 Distributed Systems Research Group.
 * All rights reserved.
 *
 * For more information on Distributed Systems Research Group (DSRG),
 * please see <http://www.ics.agh.edu.pl/>.
 */


package org.dsrg.exceptions;
import java.io.PrintStream;
import java.io.PrintWriter;

/**
 * The class represents base runtime exception of the system
 * @author <a href="mailto:bajolek@student.uci.agh.edu.pl">Maciej Bajoek</a>
 * @author <a href="mailto:artkas@student.uci.agh.edu.pl">Artur Kaszczyszyn</a>
 * @version $Id: ChainedRuntimeException.java,v 1.2 2002/07/24 16:31:24 maciek Exp 
 * $
 */
public class ChainedRuntimeException extends RuntimeException 
{
   private Throwable cause = null;
   
   /**
    * @param cause
    * @roseuid 3E3908010014
    */
   public ChainedRuntimeException(Throwable cause) 
   {
    super();

        if (cause == null)
        {
            throw new IllegalArgumentException("Cause not specified");
        }

        this.cause = cause;    
   }
   
   /**
    * @param msg
    * @param cause
    * @roseuid 3E39080003DE
    */
   public ChainedRuntimeException(String msg, Throwable cause) 
   {
        super(msg);

        if (cause == null)
        {
            throw new IllegalArgumentException("Cause not specified");
        }

    this.cause = cause;    
   }
   
   /**
    * @param msg
    * @roseuid 3E39080003D3
    */
   public ChainedRuntimeException(String msg) 
   {
        super(msg);    
   }
   
   /**
    * @return java.lang.Throwable
    * @roseuid 3E39080003A1
    */
   public Throwable getCause() 
   {
        return this.cause;    
   }
   
   /**
    * @param cause
    * @roseuid 3E39080003B5
    */
   public void setCause(Throwable cause) 
   {
        this.cause = cause;    
   }
   
   /**
    * @return java.lang.String
    * @roseuid 3E3908010031
    */
   public String getMessage() 
   {
        StringBuffer sb = new StringBuffer();

        sb.append(super.getMessage());

        if (this.cause != null)
        {
            sb.append("\nCaused by:\n");
            sb.append(this.cause.getMessage());
        }

        return sb.toString();    
   }
   
   /**
    * @return java.lang.String
    * @roseuid 3E390801003B
    */
   public String toString() 
   {
        StringBuffer sb = new StringBuffer();

        sb.append(super.toString());

        if (this.cause != null)
        {
            sb.append("\nCaused by:\n");
            sb.append(this.cause.toString());
        }

        return sb.toString();    
   }
   
   /**
    * @roseuid 3E390801004F
    */
   public void printStackTrace() 
   {
        this.printStackTrace(System.err);    
   }
   
   /**
    * @param ps
    * @roseuid 3E3908010059
    */
   public void printStackTrace(PrintStream ps) 
   {
        this.printStackTrace(new PrintWriter(ps));    
   }
   
   /**
    * @param pw
    * @roseuid 3E3908010078
    */
   public void printStackTrace(PrintWriter pw) 
   {
        super.printStackTrace(pw);

        if (this.cause != null)
        {
            pw.print("\nCaused by:\n");
            this.cause.printStackTrace(pw);
        }
        pw.flush();    
   }
}
