/**
 * Hospital Service System (HSS)
 *
 * Copyright (c) 2001/2002 Distributed Systems Research Group.
 * All rights reserved.
 *
 * For more information on Distributed Systems Research Group (DSRG),
 * please see <http://www.ics.agh.edu.pl/>.
 */

package org.dsrg.util;

/**
 * The class stores useful constants and methods for string operations.
 *
 * @author <a href="mailto:bajolek@student.uci.agh.edu.pl">Maciej Bajoek</a>
 * @author <a href="mailto:artkas@student.uci.agh.edu.pl">Artur Kaszczyszyn</a>
 *
 * @version $Id: StringUtil.java,v 1.5 2002/08/31 16:17:45 artur Exp $
 */
public class StringUtil {
	public static final String EMPTY = "";
	public static final String SPACE = " ";
	public static final String NEW_LINE =
		System.getProperty("line.separator", "\n");
	public static final String SEPARATOR = "," + StringUtil.SPACE;
	public static final String PERCENT = "%";
	public static final String ASTERISK = "*";
	public static final String HASH = "#";

	private StringUtil() {

	}
}
