/**
 * Hospital Service System (HSS)
 *
 * Copyright (c) 2001/2002 Distributed Systems Research Group.
 * All rights reserved.
 *
 * For more information on Distributed Systems Research Group (DSRG),
 * please see <http://www.ics.agh.edu.pl/>.
 */


package org.dsrg.util.lookup;


/**
 * The interface represents lookup constants
 *
 * @author <a href="mailto:bajolek@student.uci.agh.edu.pl">Maciej Bajoek</a>
 * @author <a href="mailto:artkas@student.uci.agh.edu.pl">Artur Kaszczyszyn</a>
 *
 * @version $Id: LookupUtil.java,v 1.5 2002/08/14 22:55:20 artur Exp $
 */
public class LookupUtil
{
    // Constants for Entity Beans
    public static final String ACL_HOME = "AclHomeRef";
    public static final String ACL_ENTRY_HOME = "AclEntryHomeRef";


    // Constants for Session Beans
    public static final String GRID_HOME = "GridHomeSBRef";
    public static final String ACL_ENTRY_MANAGER_HOME = "AclEntryManagerHomeRef";
    public static final String ACL_ITEM_MANAGER_HOME = "AclItemManagerHomeRef";


    // Constants for Agenda Session Beans
    public static final String RESOURCES_MANAGER_HOME = "java:comp/env/ejb/ResourcesManagerHome";
    public static final String SCHEDULES_MANAGER_HOME = "java:comp/env/ejb/SchedulesManagerHome";
    public static final String SERVICES_MANAGER_HOME = "java:comp/env/ejb/ServicesManagerHome";
    public static final String SERVICE_MODES_MANAGER_HOME = "java:comp/env/ejb/ServiceModesManagerHome";
    public static final String USERS_MANAGER_HOME = "java:comp/env/ejb/UsersManagerHome";
    public static final String VISITS_MANAGER_HOME = "java:comp/env/ejb/VisitsManagerHome";

    public static final String RESOURCES_MANAGER_HOME_X = "ResourcesManagerHomeRef";
    public static final String SCHEDULES_MANAGER_HOME_X = "SchedulesManagerHomeRef";
    public static final String SERVICES_MANAGER_HOME_X = "ServicesManagerHomeRef";
    public static final String SERVICE_MODES_MANAGER_HOME_X = "ServiceModesManagerHomeRef";
    public static final String USERS_MANAGER_HOME_X = "UsersManagerHomeRef";
    public static final String VISITS_MANAGER_HOME_X = "VisitsManagerHomeRef";

    // Jms Topics
    // append TOPIC to name e.g. SMS_TOPIC

    // Jms Queues
    // append QUEUE to name e.g. SMS_QUEUE

    // Jms Topic Connection Factory
    // append TOPIC_CONNECTION_FACTORY to name e.g. GENERAL_TOPIC_CONNECTION_FACTORY

    // Jms Queue Connection Factory
    // append QUEUE_CONNECTION_FACTORY to name e.g. GENERAL_QUEUE_CONNECTION_FACTORY
}
